<?php
/*
 *  Copyright (c) 2014 The CCP project authors. All Rights Reserved.
 *
 *  Use of this source code is governed by a Beijing Speedtong Information Technology Co.,Ltd license
 *  that can be found in the LICENSE file in the root of the web site.
 *
 *   http://www.yuntongxun.com
 *
 *  An additional intellectual property rights grant can be found
 *  in the file PATENTS.  All contributing project authors may
 *  be found in the AUTHORS file in the root of the source tree.
 */

include_once("CCPRestSDK.php");

//主帐号
$accountSid= '';

//主帐号Token
$accountToken= '';

//应用Id
$appId='';

//请求地址，格式如下，不需要写https://
//$serverIP='app.cloopen.com'; 			//生产地址
$serverIP='sandboxapp.cloopen.com'; //沙盒地址

//请求端口 
$serverPort='8883';

//REST版本号
$softVersion='2013-12-26';


    /**
     * 创建会议 
		 * @param action					会议创建通知的回调url地址。自定义的相对地址，默认值为空
		 * @param maxmember 			最大会议人数，不能大于300。默认值为3
		 * @param passwd 					加入会议密码。默认为空，暂时设置无法使用
		 * @param passwderrorurl	密码输入三次错误的回调url地址。自定义的相对地址，默认为空，暂时设置无法使用
		 * @param dtmfreporturl 	会议中DTMF上报通知的回调url地址。自定义的相对地址，默认值为空
		 * @param delreporturl 		会议被删除通知的回调url地址。自定义的相对地址，默认值为空
	   * @param confduration 		此次会议时长单位是秒，小于等于0时则不限时，到时后会议自动结束。第一个成员加入后开始计时，默认值为0
	   * @param autohangup 			会议自动结束后是否自动挂断用户电话，默认值为false 
	   * @param confendprompt 	会议自动结束前的提示音，为空则不播放。默认值为空 
	   * @param autorecord 			是否自动录音，true为录音，false为不录音。默认值为false 
	   * @param quiturl 				退出会议通知的回调url地址。自定义的相对地址，默认值为空
	   * @param mediaopturl 		会议媒体控制结果通知的回调url地址。自定义的相对地址，默认值为空 
	   * @param autojoin 				是否自动加入会议。通过IVR响应命令调用时有效。默认为false 
	   * @param joinurl 				加入会议通知的回调url地址。自定义的相对地址，默认值为空 
     */
function CreateConf($action,$maxmember,$passwd,$passwderrorurl,$dtmfreporturl,$delreporturl,$confduration,$autohangup,$confendprompt,$autorecord,$quiturl,$mediaopturl,$autojoin,$joinurl) {
    // 初始化REST SDK
    global $accountSid,$accountToken,$appId,$serverIP,$serverPort,$softVersion;
    $rest = new REST($serverIP,$serverPort,$softVersion);
    $rest->setAccount($accountSid,$accountToken);
    $rest->setAppId($appId);
    
    //通过SDK调用云通讯平台的创建会议接口
    $result = $rest->CreateConf($action,$maxmember,$passwd,$passwderrorurl,$dtmfreporturl,$delreporturl,$confduration,$autohangup,$confendprompt,$autorecord,$quiturl,$mediaopturl,$autojoin,$joinurl);

    echo $result;
     
}

//Demo调用     
CreateConf("","","","","","","","","","","","","","");
?>
